Index: src/main/java/it/finki/tinki/bootstrap/DataHolder.java
===================================================================
--- src/main/java/it/finki/tinki/bootstrap/DataHolder.java	(revision a8e8545fbb925011b0c4a0caca431f75dd992361)
+++ src/main/java/it/finki/tinki/bootstrap/DataHolder.java	(revision 4cec0a3a9f08caecf25ee47b8268aa594d357e48)
@@ -69,4 +69,22 @@
         lista = skillRepository.findAll();
 
+        List<Skill> l2 = new ArrayList<>();
+        l2.add(skillRepository.getOne(3L));
+        l2.add(skillRepository.getOne(0L));
+        l2.add(skillRepository.getOne(1L));
+        l2.add(skillRepository.getOne(2L));
+        l2.add(skillRepository.getOne(4L));
+        l2.add(skillRepository.getOne(5L));
+        l2.add(skillRepository.getOne(6L));
+        l2.add(skillRepository.getOne(7L));
+
+
+        List<Skill> l3 = new ArrayList<>();
+        l3.add(skillRepository.getOne(3L));
+        l3.add(skillRepository.getOne(0L));
+        l3.add(skillRepository.getOne(5L));
+        l3.add(skillRepository.getOne(6L));
+        l3.add(skillRepository.getOne(7L));
+
         List<Long> ids = new ArrayList<>();
         lista.forEach(item -> {
@@ -74,7 +92,21 @@
         });
 
+        List<Long> smalls = new ArrayList<>();
+        l2.forEach(item -> {
+            smalls.add(item.getId());
+        });
+
+        List<Long> sm2 = new ArrayList<>();
+        l3.forEach(item -> {
+            sm2.add(item.getId());
+        });
+
         Account c = this.accountService.registerCompany("asdf@asdf", "pass", "Co.co", "Macedonia", "Skopje", "Pero Nakov");
+        Account m = this.accountService.registerTeam("asdf", "asd", "TeamRocket", 3);
 
         Job j = this.workService.insertJob("Asdf", "Asdfa", c.getId() ,5000, ids, AccountType.COMPANY);
+        Job k = this.workService.insertJob("Asdf", "Asdfa", m.getId() ,5000, ids, AccountType.TEAM);
+        Job z = this.workService.insertJob("asdfq", "asdfqw", m.getId() ,5000, smalls, AccountType.TEAM);
+        Job n = this.workService.insertJob("asdfq", "asdfqw", c.getId() ,5000, sm2, AccountType.COMPANY);
 
         Account u = this.accountService.registerUser("asdf", "asdf", "Zoki", "Poki", lista, lista);
Index: src/main/java/it/finki/tinki/model/dto/JobResponseDTO.java
===================================================================
--- src/main/java/it/finki/tinki/model/dto/JobResponseDTO.java	(revision 4cec0a3a9f08caecf25ee47b8268aa594d357e48)
+++ src/main/java/it/finki/tinki/model/dto/JobResponseDTO.java	(revision 4cec0a3a9f08caecf25ee47b8268aa594d357e48)
@@ -0,0 +1,38 @@
+package it.finki.tinki.model.dto;
+
+import it.finki.tinki.model.Address;
+import it.finki.tinki.model.Jobs.Job;
+import it.finki.tinki.model.Users.Company;
+import it.finki.tinki.model.Users.Team;
+import it.finki.tinki.model.enumerator.AccountType;
+import lombok.Data;
+
+@Data
+public class JobResponseDTO {
+    Long id;
+    String title;
+    String description;
+    int salary;
+    String accountEmail;
+    String accountName;
+    AccountType accountType;
+    Address accountAddress;
+    int members;
+
+    public JobResponseDTO(Job job){
+        this.id = job.getId();
+        this.title = job.getTitle();
+        this.description = job.getDescription();
+        this.salary = job.getSalary();
+        this.accountEmail = job.getAccount().getEmail();
+        this.accountName = job.getAccount().getName();
+        this.accountType = job.getAccount().getAccountType();
+        if(job.getAccount().getAccountType()==AccountType.COMPANY){
+            this.accountAddress = ((Company) job.getAccount()).getAddress();
+            this.members = 0;
+        }else{
+            this.members = ((Team) job.getAccount()).getMembers();
+            this.accountAddress = null;
+        }
+    }
+}
Index: src/main/java/it/finki/tinki/model/dto/UserResponseDTO.java
===================================================================
--- src/main/java/it/finki/tinki/model/dto/UserResponseDTO.java	(revision a8e8545fbb925011b0c4a0caca431f75dd992361)
+++ src/main/java/it/finki/tinki/model/dto/UserResponseDTO.java	(revision 4cec0a3a9f08caecf25ee47b8268aa594d357e48)
@@ -7,4 +7,5 @@
 import lombok.Data;
 
+import java.util.ArrayList;
 import java.util.List;
 
@@ -14,6 +15,14 @@
     private List<Skill> retained;
     private List<Skill> toLearn;
-    private List<Job> jobs;
+    private List<JobResponseDTO> jobs;
     private List<Internship> internships;
     private List<Project> projects;
+
+    public UserResponseDTO(){
+        retained = new ArrayList<>();
+        toLearn = new ArrayList<>();
+        jobs = new ArrayList<>();
+        internships = new ArrayList<>();
+        projects = new ArrayList<>();
+    }
 }
Index: src/main/java/it/finki/tinki/repository/MatchRepository.java
===================================================================
--- src/main/java/it/finki/tinki/repository/MatchRepository.java	(revision a8e8545fbb925011b0c4a0caca431f75dd992361)
+++ src/main/java/it/finki/tinki/repository/MatchRepository.java	(revision 4cec0a3a9f08caecf25ee47b8268aa594d357e48)
@@ -12,5 +12,5 @@
 @Repository
 public interface MatchRepository extends JpaRepository<Match, EmbeddedMatchId> {
-    List<Match> getAllByEmbeddedMatchIdUserAndTypeOrderByCoefficientDesc(Long uId, WorkType type);
+    List<Match> findAllByEmbeddedMatchIdUserAndTypeOrderByCoefficientDesc(User user, WorkType type);
 //    List<Match> getAllByUserIdAndTypeOrderByCoefficientDesc(Long uId, WorkType type);
 }
Index: src/main/java/it/finki/tinki/service/impl/MatchmakerServiceImpl.java
===================================================================
--- src/main/java/it/finki/tinki/service/impl/MatchmakerServiceImpl.java	(revision a8e8545fbb925011b0c4a0caca431f75dd992361)
+++ src/main/java/it/finki/tinki/service/impl/MatchmakerServiceImpl.java	(revision 4cec0a3a9f08caecf25ee47b8268aa594d357e48)
@@ -42,12 +42,12 @@
     @Override
     public List<Internship> getMatchingInternshipsForUser(User user) {
-        List<Match> matches = this.matchRepository.getAllByEmbeddedMatchIdUserAndTypeOrderByCoefficientDesc(user.getId(), WorkType.INTERNSHIP);
-//        List<Match> matches = this.matchRepository.getAllByUserIdAndTypeOrderByCoefficientDesc(user.getId(), WorkType.INTERNSHIP);
+        List<Match> matches = this.matchRepository.findAllByEmbeddedMatchIdUserAndTypeOrderByCoefficientDesc(user, WorkType.INTERNSHIP);
 
         List<Internship> internships = new ArrayList<>();
-        matches.forEach(match -> {
-            internships.add((Internship) match.getEmbeddedMatchId().getWork());
-//            internships.add(this.internshipRepository.findById(match.getWorkId()).get());
-        });
+        if(matches.size()!=0){
+            matches.forEach(match -> {
+                internships.add((Internship) match.getEmbeddedMatchId().getWork());
+            });
+        }
 
         return internships;
@@ -56,12 +56,12 @@
     @Override
     public List<Job> getMatchingJobsForUser(User user) {
-        List<Match> matches = this.matchRepository.getAllByEmbeddedMatchIdUserAndTypeOrderByCoefficientDesc(user.getId(), WorkType.INTERNSHIP);
-//        List<Match> matches = this.matchRepository.getAllByUserIdAndTypeOrderByCoefficientDesc(user.getId(), WorkType.JOB);
+        List<Match> matches = this.matchRepository.findAllByEmbeddedMatchIdUserAndTypeOrderByCoefficientDesc(user, WorkType.JOB);
 
         List<Job> jobs = new ArrayList<>();
-        matches.forEach(match -> {
-            jobs.add((Job) match.getEmbeddedMatchId().getWork());
-//            jobs.add(this.jobRepository.findById(match.getWorkId()).get());
-        });
+        if(matches.size()!=0) {
+            matches.forEach(match -> {
+                jobs.add((Job) match.getEmbeddedMatchId().getWork());
+            });
+        }
 
         return jobs;
@@ -70,12 +70,12 @@
     @Override
     public List<Project> getMatchingProjectsForUser(User user) {
-        List<Match> matches = this.matchRepository.getAllByEmbeddedMatchIdUserAndTypeOrderByCoefficientDesc(user.getId(), WorkType.INTERNSHIP);
-//        List<Match> matches = this.matchRepository.getAllByUserIdAndTypeOrderByCoefficientDesc(user.getId(), WorkType.PROJECT);
+        List<Match> matches = this.matchRepository.findAllByEmbeddedMatchIdUserAndTypeOrderByCoefficientDesc(user, WorkType.PROJECT);
 
         List<Project> projects = new ArrayList<>();
-        matches.forEach(match -> {
-            projects.add((Project) match.getEmbeddedMatchId().getWork());
-//            projects.add(this.projectRepository.findById(match.getWorkId()).get());
-        });
+        if(matches.size()!=0) {
+            matches.forEach(match -> {
+                projects.add((Project) match.getEmbeddedMatchId().getWork());
+            });
+        }
 
         return projects;
@@ -92,5 +92,4 @@
             EmbeddedMatchId embeddedMatchId = new EmbeddedMatchId(job, user);
             Match m = new Match(embeddedMatchId, coef, WorkType.JOB);
-//            Match m = new Match(job.getId(), user.getId(), coef, WorkType.JOB);
             this.matchRepository.save(m);
         }
@@ -107,5 +106,4 @@
             EmbeddedMatchId embeddedMatchId = new EmbeddedMatchId(project, user);
             Match m = new Match(embeddedMatchId, coef, WorkType.PROJECT);
-//            Match m = new Match(project.getId(), user.getId(), coef, WorkType.JOB);
             this.matchRepository.save(m);
         }
@@ -122,5 +120,4 @@
             EmbeddedMatchId embeddedMatchId = new EmbeddedMatchId(internship, user);
             Match m = new Match(embeddedMatchId, coef, WorkType.PROJECT);
-//            Match m = new Match(internship.getId(), user.getId(), coef, WorkType.JOB);
             this.matchRepository.save(m);
         }
Index: src/main/java/it/finki/tinki/web/controller/LoginController.java
===================================================================
--- src/main/java/it/finki/tinki/web/controller/LoginController.java	(revision a8e8545fbb925011b0c4a0caca431f75dd992361)
+++ src/main/java/it/finki/tinki/web/controller/LoginController.java	(revision 4cec0a3a9f08caecf25ee47b8268aa594d357e48)
@@ -1,4 +1,6 @@
 package it.finki.tinki.web.controller;
 
+import it.finki.tinki.model.Jobs.Internship;
+import it.finki.tinki.model.Jobs.Job;
 import it.finki.tinki.model.Users.Account;
 import it.finki.tinki.model.Users.Company;
@@ -14,4 +16,5 @@
 import org.springframework.web.server.ResponseStatusException;
 
+import java.util.List;
 import java.util.Map;
 
@@ -54,7 +57,11 @@
                 uDto.setToLearn(((User) a1).getSkillsToLearn());
 
-                uDto.setInternships(this.matchmakerService.getMatchingInternshipsForUser((User) a1));
-                uDto.setJobs(this.matchmakerService.getMatchingJobsForUser((User) a1));
-                uDto.setProjects(this.matchmakerService.getMatchingProjectsForUser((User) a1));
+                List<Job> matchedJobs = this.matchmakerService.getMatchingJobsForUser((User) a1);
+
+                matchedJobs.forEach(job -> {
+                    JobResponseDTO dto = new JobResponseDTO(job);
+                    uDto.getJobs().add(dto);
+                });
+
 
                 return uDto;
